body {
    background: rgb(122, 127, 197);
}
.center{
    display: flex;
    flex-direction: column;
}

#background {
    width: 300px;
    height: 400px;
    background: rgb(116, 204, 104);
    margin: 50px auto;
    transition: all 2s ease;
}

button {
    border: 0;
    color: #fff;
}

#result {
    font-family: sans-serif;
    width: 230px;
    height: 40px;
    margin: 10px auto;
    text-align: right;
    border: 0;
    background: #3b3535;
    color: #fff;
    padding-top: 20px;
    font-size: 20px;
    outline: none;
    overflow: hidden;
    letter-spacing: 4px;
    position: relative;
    top: 10px;
}

#result:hover {

    cursor: text;

}


.rows {
    width: 240px;
    margin-top: 10px;
    margin-left: 25px;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}


/* Aligning the division and dot button properly */
.fall-back {
    margin-left: 3px !important;
}

/* Button styling */
.btn-style {
    width: 50px;
    height: 50px;
    margin-left: 5px;
    border-radius: 4px;
}

input{
    width: 230px;
    height: 40px;
    margin: 10px auto;
}

.eqn {
    width: 235px;
    height: 40px;
    margin: 10px auto;
    border-radius: 4px;
    margin-left: 5px;
}

.first-child {
    margin-left: 25px;
}


/* Adding background color to the number values */
.num-bg {
    background: #000;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    border-bottom: 3px solid #333;
}

.num-bg:active {
    background: #000;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    box-shadow: inset 5px 5px 5px #555;
}

/*Adding background color to the operator values */
.opera-bg {
    background: #333;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    border-bottom: 3px solid #555;
}

.opera-bg:active {
    background: #333;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    box-shadow: inset 4px 4px 4px #555;
}

/*Adding a background color to the delete button */
.del-bg {
    background: #24b4de;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    border-bottom: 3px solid #399cb9;
}

.del-bg:active {
    background: #24b4de;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    box-shadow: inset 4px 4px 4px #399cb9;
}

/*Adding a background color to the equals to button */
#eqn-bg {
    background: #17a928;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    border-bottom: 3px solid #1f7a29;
}

#eqn-bg:active {
    background: #17a928;
    color: #fff;
    font-size: 26px;
    cursor: pointer;
    outline: none;
    box-shadow: inset 4px 4px 4px #1f7a29;
}
